> ## Documentation Index
> Fetch the complete documentation index at: https://developers.illuxi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit availability_group

> Edit an [availability_group](/concepts/availability_group) by ID



## OpenAPI

````yaml POST /availability_group/edit/{id}
openapi: 3.0.0
info:
  version: 2.0.0
  title: illuxiLMS API
  description: Interact with the illuxiLMS API to manage your learning content and users.
  termsOfService: https://illuxi.com/conditions-utilisation/
  contact:
    name: illuxi Team
    email: info@illuxi.com
    url: https://illuxi.com
servers:
  - url: https://{portalApiUrl}
    description: Production server (uses live data)
    variables:
      portalApiUrl:
        default: your-portal.acme.com/api-v2
        description: Your portal's API URL
security:
  - bearerAuth: []
paths:
  /availability_group/edit/{id}:
    post:
      description: Edit an [availability_group](/concepts/availability_group) by ID
      operationId: editAvailabilityGroup
      parameters:
        - name: id
          in: path
          description: ID of availability_group to edit
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AvailabilityGroup'
            example:
              availability_group_order: 101
      responses:
        '200':
          description: updated availability_group
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  result:
                    $ref: '#/components/schemas/AvailabilityGroup'
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    AvailabilityGroup:
      type: object
      properties:
        availability_group_id:
          type: integer
          description: Unique identifier of the availability group
          readOnly: true
        availability_group_product_id:
          type: integer
          description: ID of the product associated with this availability group
        availability_group_order:
          type: integer
          nullable: true
          description: Display order of the availability group
        availability_group_status:
          type: string
          nullable: true
          description: Status of the availability group
        availability_group_created_date:
          type: string
          format: date-time
          readOnly: true
          description: Date the availability group was created
        availability_group_updated_date:
          type: string
          format: date-time
          readOnly: true
          description: Date the availability group was last updated
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Authentication token obtained from POST /token

````